import pycom
import time

from machine import Pin

# initialize GP2 in gpio mode (alt=0) and make it an output
SW1 = Pin('P16', mode=Pin.IN, pull=Pin.PULL_UP)
SW2 = Pin('P14', mode=Pin.IN, pull=Pin.PULL_UP)
SW3 = Pin('P13', mode=Pin.IN, pull=Pin.PULL_UP)
LED1 = Pin('P3', mode=Pin.OUT)
LED2 = Pin('P5', mode=Pin.OUT)
LED3 = Pin('P6', mode=Pin.OUT)

for cycles in range(10): # stop after 10 cycles
    print('{}.'.format(cycles), end=' ')
    test = SW1()
    print('SW1: {}'.format(test), end=' ')
    LED1.value(test)

    test = SW2()
    print('SW2: {}'.format(test), end=' ')
    LED2.value(test)

    test = SW3()
    print('SW3: {}'.format(test))
    LED3.value(test)

    time.sleep(1)
