# 1-Info.py gibt Informationen über Fipy
# Didi Lamken 7.7.2019

import machine, time, sys, uos, ubinascii #, esp, esp32
import os

#print(help(machine))       # display all members from the machine module
#machine.idle()             # average current decreases to (~12mA), any interrupts wake it up
#machine.lightsleep()       # everything except for WLAN is powered down (~950uA avg. current)
#machine.deepsleep()        # deepest sleep mode, MCU starts from reset. Wakes from Pin and RTC.

print('Hello von       : %s ' %(os.uname()).machine)
print('This is a       : {} '.format(uos.uname().machine))
print('Firmware        : %s ' %(os.uname().version))
print('Firmware        : {} '.format(uos.uname().version))
print("Running Python  : %s on %s" %(sys.version,  uos.uname() [4]))
print("CPU clock       : %d MHz" %(int(machine.freq()/1000/1000)))
print('CPU frequency   : {:3.0f} MHz'.format(machine.freq()/1000000))
print('Platform        : {} '.format(sys.platform))
print('Micropython     : {} '.format(sys.version))
print('6-byte unique id:', machine.unique_id())         # return the 6-byte unique id of the board (the WiPy's MAC address)
print('Temperatur      :', machine.temperature())       # return the 6-byte unique id of the board (the WiPy's MAC address)

#print('Flash size is {:4.2f} MByte'.format(esp.flash_size()/1000000))
#print('Chip temperature is {:3.1f} *C'.format((esp32.raw_temperature()-32)*5/9))
#print('Hall sensor readout is {}\n'.format(esp32.hall_sensor()))
