# bme280-test.py testet BME280 an  Fipy
# Didi Lamken 7.7.2019

import pycom
import time
from machine import Pin, I2C

import bme280                                   # Library

i2c = I2C(0, I2C.MASTER, pins=('P9', 'P10'))    # init I2C
bme280 = bme280.BME280(address=0x77, i2c=i2c)   # init BME280

print('bme280.values : ',  bme280.values)

bme280val = bme280.read_compensated_data()      # auslesen BME280
print('bme280.read   : ',  bme280val)
bme280tmp = int(bme280val[0]*10)/10             # 1 Stelle nach Komma
bme280pre = int(bme280val[1]/10)/10
bme280hum = int(bme280val[2]*10)/10
print('BME280        :  {} C  {} mbar  {} %'.format(bme280tmp, bme280pre, bme280hum))
